
local StoneGateV6 = ...

-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/blueRoofs/blueKeep.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerRoofPart(_nameFbx, _nameAsset)
    StoneGateV6:registerAssetId("models/blueRoofs/blueKeep.fbx/Prefab/keep/Keep_" .. _nameFbx .. "Part", StoneGateSetPrefix .. "_KEEP_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration roof part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = StoneGateSetPrefix .. "_KEEP_" .. _nameAsset .. "_PART",
	Name = StoneGateSetPrefix .. "_KEEP_" .. _nameAsset .. "_NAME",
	Description = StoneGateSetPrefix .. "_KEEP_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = StoneGateSetPrefix .. "_KEEP_" .. _nameAsset .. "_PREFAB",
                IsPreviewGroundVisible = false
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "PLANK", Quantity = 5 }
		}
	}
    })
end

registerRoofPart( "RoofA", "BLUE_ROOF_A" )
registerRoofPart( "RoofB", "BLUE_ROOF_B" )
registerRoofPart( "RoofC", "BLUE_ROOF_C" )
registerRoofPart( "RoofD", "BLUE_ROOF_D" )
registerRoofPart( "RoofE", "BLUE_ROOF_E" )
registerRoofPart( "RoofF", "BLUE_ROOF_F" )
